#ifndef CHESSY_CHESSGAME_H
#define CHESSY_CHESSGAME_H

#include "Board.h"

namespace chessy
{
    class ChessGame;
}


class chessy::ChessGame
{
    Board board;

    bool canCastleQueenSideWhite;
    bool canCastleQueenSideBlack;
    bool canCastleKingSideWhite;
    bool canCastleKingSideBlack;

    short reversibleHalfMoves;

    char enPassantWhite;
    char enPassantBlack;

public:
    ChessGame(void) = default;
    ChessGame(const ChessGame&) = default;
    ~ChessGame(void) = default;

};

#endif // CHESSY_CHESSGAME_H
